package com.tzld.piaoquan.api.dao.mapper.contentplatform;

import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformFwhDataStatTotal;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformFwhDataStatTotalExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ContentPlatformFwhDataStatTotalMapper {
    long countByExample(ContentPlatformFwhDataStatTotalExample example);

    int deleteByExample(ContentPlatformFwhDataStatTotalExample example);

    int deleteByPrimaryKey(Long id);

    int insert(ContentPlatformFwhDataStatTotal record);

    int insertSelective(ContentPlatformFwhDataStatTotal record);

    List<ContentPlatformFwhDataStatTotal> selectByExample(ContentPlatformFwhDataStatTotalExample example);

    ContentPlatformFwhDataStatTotal selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") ContentPlatformFwhDataStatTotal record, @Param("example") ContentPlatformFwhDataStatTotalExample example);

    int updateByExample(@Param("record") ContentPlatformFwhDataStatTotal record, @Param("example") ContentPlatformFwhDataStatTotalExample example);

    int updateByPrimaryKeySelective(ContentPlatformFwhDataStatTotal record);

    int updateByPrimaryKey(ContentPlatformFwhDataStatTotal record);
}